/*Session 8 - Afternoon*/

#div-1{
	background-color: seagreen;
	display: block;
}

#span-1{
	background-color: mediumpurple;
	display: inline;
}

#div-2{
	background-color: hotpink;
	display: block;
}

/*Using display inline-block for span removes spaces between heights.
Using display none for span hides the element*/
#span-2{
	background-color: red;
	display: inline;
}

#img{
	width: 250px;
	height: 250px;
	display: inline-block;
}

/*Use hex code or HTML colors*/
#p-1{
	background-color: #87CEFA;
}

/*Use color value from RGB*/
#p-2{
	background-color: rgb(255, 105, 180);
	width: 60%;
}

#p-3{
	background-color: lightgreen;
	width: 40%;
}

.sample{
	display: inline-block;
	width: 30%;
	border: 1px solid black;
	text-align: center;
}

/*FLOAT values are left, right, and inherit*/
.img-float{
	width: 250px;
	height: 250px;
	float: inherit;
}

.box{
	background-color: red;
	border: 1px solid black;
	margin: 5px;
}

.fifty-percent{
	width: 50%;
}

.hundred-percent{
	width: 100px;
}

.parent{
	width: 135px;
	border: 2px solid navy;
}

.background{
	min-height: 20rem;
	background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
	background-repeat: no-repeat;
	background-size: 100%;
	background-position: center top;
	/*values = scroll and fixed*/
	background-attachment: scroll;
}

.bg-title{
	color: white;
	text-align: center;
	font-size: 5em;
	margin: 0;
	line-height: 10rem;
}

.container-bg{
	background-color: rgb(0, 0, 0, 0.8);
	min-height: 100vh;
}

.parent-element{
	background-color: skyblue;
	padding: 10px;
	position: relative;
}

.child1{
	background-color: grey;
	padding: 10px;
}

.child2{
	background-color: yellow;
	padding: 10px;
	/*values for position = static, relative, absolute, fixed, sticky*/
	position: sticky;
	top: 10px;
}

.child3{
	background-color: grey;
	padding: 10px;

}

.container{
	position: relative;
}

.black-box{
	position: relative;
	z-index: 2;
	border: 2px solid black;
	height: 100px;
	margin: 30px;
	background-color: black;
	color: white;
}

.gray-box{
	position: relative;
	z-index: 1;
	border: 2px solid black;
	margin: 30px;
	background-color: grey;
	color: black;
	height: 60px;
	width: 70%;
	left: 50px;
	top: -80px;
}